Introduction

Before you install and use APC PowerChute Business Edition, read the important information presented in this help. It's mainly about installing the product, but also covers everyday operation, application data collection, server nodes, and third-party software.

Note:
This help sometimes uses PowerChute to represent PowerChute Business Edition, for example, PowerChute Server instead of PowerChute Business Edition Server.

Copyright © 2002 by
American Power Conversion Corp.
www.apc.com
All rights reserved
Last updated: January 07, 2003.


Installation Overview

During the installation, you will do the following:

Note:
You should uninstall other APC PowerChute applications before trying to install PowerChute Business Edition. These applications include PowerChute plus, PowerChute Personal Edition, and PowerChute Network Shutdown.

  • Install the PowerChute Business Edition Agent at each UPS-protected computer that you wish to manage with the PowerChute software. These computers must meet the requirements identified in the following sections:

    • APC Hardware Requirements for Installation

    • UPS Communications Cable Requirements

    • PowerChute Business Edition Agent Requirements

      Note:
      If the computer uses an unsupported UPS, or an incorrect UPS communications cable, you may not be able to complete the PowerChute Agent Setup, because the PowerChute Agent will not be able to communicate properly with the UPS.

  • Install the PowerChute Business Edition Server at a computer that meets the operating system, processor, and memory requirements identified in PowerChute Business Edition Server Requirements.

  • Install the PowerChute Business Edition Console at the computers that you wish to use to monitor your UPS-protected systems. Those computers must meet the display-quality requirements identified in PowerChute Business Edition Console Requirements.


System Requirements for Installation

You can install any PowerChute Business Edition component on a computer that uses one of the following operating systems:

  • Windows NT®, Service Pack 6a

  • Windows® 2000 Professional, Service Pack 2

  • Windows® 2000, Service Pack 2

  • Windows® 2000 Advanced Server, Service Pack 2

  • Windows® 2000 Datacenter Server, Service Pack 2

  • Windows® XP Professional

  • Red HatTM Linux 7.3, 8.0

  • Novell® NetWare® 5.1, 6.0

  • Turbolinux® 7.0

  • SuSE Linux 8.0

Check the APC Web site for the most up-to-date information: http://www.apc.com.

The computer must be connected to a TCP/IP network and meet the requirements identified in the following sections.

  • PowerChute Business Edition Agent Requirements

  • PowerChute Business Edition Server Requirements

  • PowerChute Business Edition Console Requirements


PowerChute Business Edition Agent Requirements

The PowerChute Agent has the following processor and memory requirements:

Note:
As described in a separate installation and release notes document, you can install the PowerChute Agent on a computer that uses the Red Hat Linux 7.2 or NetWare 6.0 operating system.

Requirement | Minimum | Recommended
Processor | Pentium II 233MHz | Pentium II 333MHz
RAM | 64 MB | 128 MB


PowerChute Business Edition Server Requirements

The PowerChute Server has the following processor and memory requirements:

Requirement | Minimum | Recommended
Processor | Pentium II 300MHz | Pentium II 400MHz
RAM | 96 MB | 128 MB


PowerChute Business Edition Console Requirements

The PowerChute Console has the following display-quality requirements:

Requirement | Minimum | Recommended
Display Resolution | 800 x 600 | 1024 x 768 (or higher)
Display Color Depth | 16-bit color | 24-bit true color


APC Hardware Requirements for Installation

For information about the UPS and Environmental Monitor models that can be used with PowerChute Business Edition, see:

  • Supported UPS Models

  • UPS Communications Cable Requirements

  • Supported Environmental Monitors


Supported UPS Models

The PowerChute Business Edition Agent can manage the following UPS models:

  • Smart-UPS, Smart-UPS XL, or Smart-UPS On-Line models that use SU instead of AP as part of their model number

    Note:
    The barcode sticker on the back panel of the Smart-UPS identifies the model number. For example, an SU700 is a supported Smart-UPS 700; an AP600 is unsupported.

    USB communication with Smart-UPS models is possible on Windows 2000 or Windows XP.

  • Newer Matrix-UPS versions manufactured after August 1996

    Note:
    If the PowerChute Agent Setup can discover your Matrix-UPS, it is supported. For more information, see     Setup Does Not Recognize a Matrix-UPS.

The PowerChute Agent can communicate with a supported UPS model that connects through a Share-UPS or Interface Expander.


UPS Communications Cable Requirements

The PowerChute Agent communicates with the UPS through a communications cable which connects to the UPS and a communications port at the PowerChute Agent's computer.

UPS Model | Communications Cable
Back-UPS | 940-0020 (simple-signaling)
Back-UPS Pro | 940-0095A 940-0095B
Matrix-UPS Smart-UPS | 940-0024 (smart-signaling)
Any USB-compatible Smart-UPS | 940-0117A
Share-UPS | 940-0020 (Basic port connection) 940-0024 (Advanced port connection)
Interface Expander | 940-0020 (simple-signaling)


Supported Environmental Monitors

The PowerChute Agent can manage and report on the status of the Environmental Monitoring Card (AP9612TH).

The monitor must be firmware revision P or later (that is, any monitor manufactured after August 2000).


Installation Issues

This section discusses the issues and problems that can occur while installing PowerChute Business Edition.

  • PowerChute plus Installed Messages

  • Installation Error Messages

  • Setup Does Not Automatically Detect the System's UPS

  • Setup Does Not Recognize a Matrix-UPS

  • Serial Port Settings

  • UPS Communications Link

  • Upgrading Only Works With Same-Node Version


PowerChute plus Installed Messages

You cannot use PowerChute Business Edition and PowerChute plus on the same computer. When you attempt to install any PowerChute Business Edition component and Setup detects that PowerChute plus is installed, one of the following messages will appear, depending on the PowerChute plus version.

Message | Description
Setup has detected a version of PowerChute plus, which must be removed before PowerChute Business Edition Setup can continue. Would you like to remove PowerChute plus? (If you answer no, Setup will exit.) | If you click Yes, Setup will automatically uninstall the existing 5.x version of PowerChute plus; If you click No, the installation will abort.
Setup has detected a version of PowerChute plus. Please uninstall that product and rerun setup | Setup cannot uninstall the existing 4.x version of PowerChute plus. You must uninstall PowerChute plus before you can install any PowerChute Business Edition component.


Installation Error Messages

The following messages, which are listed alphabetically, may occur while using Setup to install a PowerChute Business Edition component.

Note:
If the information in the following table does not help you to correct the Setup failure, contact APC Global Support (http://www.apc.com/support/) for assistance.

Message | Description
Could not stop the UPS service. Please reboot and retry setup. | Setup failed to stop the native Windows 2000/ Windows XP UPS service. Reboot the computer before you attempt to install the PowerChute Agent again.
Error encountered while installing the <Agent or Server> service. Please reboot and retry setup. | Setup failed to install the PowerChute service. Make sure that no PowerChute files are already installed, and that the computer uses a supported operating system (see System Requirements for Installation), before you attempt the installation again.
Error <identification> on attempt to load dll: <dll identification>. | Setup failed to load the identified DLL. Make sure that the computer uses the correct operating system (see System Requirements for Installation) and meets the PowerChute Business Edition Agent Requirements, before you attempt the installation again.
Failed to load necessary resource. | Setup cannot load the resources (DLL resources, native InstallShield resources, etc.) needed to install the PowerChute component. Make sure that the computer has sufficient memory available (see System Requirements for Installation) before you attempt the installation again.
Password is not 3-16 characters long. | Use a Password that has at least three characters, but no more than sixteen.
PowerChute Business Edition requires administrator privileges to install and run. Please log off and rerun Setup using an administrator-privileged account. | You must have administrative access to the computer before you can install any PowerChute component.
Setup could not determine if the select path is valid. Please select a directory on the local hard drive. | You cannot install PowerChute on a network drive, floppy disk drive, zip drive, or any other drive except the local hard-disk drive.
Setup failed to restart the Native UPS service. You must manually restart the service or reboot to enable power protection. | Setup cannot restart the Windows 2000/ Windows XP UPS service which Setup stopped in order to install the PowerChute Agent. Restart this service manually or by rebooting the computer.
The two passwords must match to proceed. | You cannot install the PowerChute component until your Password and Confirm entries match.
Username is not 3-16 characters long. | Use a Username that has at least three characters, but no more than sixteen.


Setup Does Not Automatically Detect the System's UPS

This section describes how to correct the problems that could cause the setup program to fail to detect the system's UPS. The most up-to-date information is available at the APC Web site:

  • Windows 2000/ XP serial communications:
    http://www.apc.com/go/direct/index.cfm?tag=keyclickstagewin2k

  • Windows 2000/ XP USB communications:
    http://www.apc.com/go/direct/index.cfm?tag=keyclickstageUSB

  • Windows NT serial communications
    http://www.apc.com/go/direct/index.cfm?tag=keyclickstagewinnt

  • Linux communications:
    http://www.apc.com/go/direct/index.cfm?tag=keyclickstagelinux

During Setup, a UPS Type and Communication Port screen will appear under the following circumstances:

  • You clicked No when asked if you wanted to search all communications ports for the UPS. In this case, you can either select the UPS Type and Port settings from the drop-down lists, or, if the system uses a smart-signaling UPS, you can click Run Detect to have Setup search for the UPS.

    Note:
    Setup cannot automatically detect a Back-UPS, a simple-signaling Back-UPS Pro, an Interface
    Expander, or a Share-UPS that uses its Basic port to connect to the system.

  • You clicked Yes to have the communication ports searched, but Setup failed to detect the UPS.

    • If the system uses a simple-signaling UPS (Back-UPS or simple-signaling Back-UPS Pro), an Interface Expander, or a Share-UPS that uses its Basic port to connect to the system, use the UPS Type and Port drop-down lists to identify the UPS and the communication port, and click Next > to continue.

    • If the system uses a smart-signaling UPS, click Run Auto Detect to have Setup search for the UPS again.

If the system uses a smart-signaling UPS, and Setup fails to detect that UPS device after you click Run Auto Detect in the "UPS Type and Communication Port" display, the following problems can all prevent Setup from discovering that UPS.

  • Another service, such as a terminal emulator, is using the communications port to which the UPS connects. Stop any service that is using the communications port, or connect the UPS to another communications port, and then click Run Auto Detect to have Setup search for the UPS again.

  • The system uses an unsupported Matrix-UPS. See Setup Does Not Recognize a Matrix-UPS.

  • The UPS is not using the 990-0024 smart-signaling serial cable or a standard USB cable to connect to the system. See UPS Communications Cable Requirements.

  • The UPS connects to a USB port that is not enabled in the computer BIOS.

  • The UPS connects to a communications port that uses an incorrect UPS communications setting. See Serial Port Settings if you use a serial port, as distinct from a USB port.

  • A problem exists in the connection between the UPS and the computer. See UPS Communications Link.

  • The UPS is used with an AP9603 or AP9605 SNMP Adapter, or an AP9606 Web/SNMP Management Card, and that device is either not fully configured, or it is not running its SNMP agent.

    Note:
    If the problem persists, contact APC Global Support (    http://www.apc.com/support/) for assistance.


Setup Does Not Recognize a Matrix-UPS

If auto detect fails while installing the PowerChute Business Edition Agent on a system connected to a Matrix-UPS, you may have an unsupported version of this UPS model. Older Matrix-UPS units (not manufactured after August 1996) use a different communication method than that supported by PowerChute.

For more information, contact APC Global Support ( http://www.apc.com/support/ ).


Serial Port Settings

This section is only relevant if you use a serial, as distinct from a USB, port to connect your UPS communications cable. Access the settings for the serial port to which the UPS might attach, as follows:

  • For Windows NT, open the Control Panel and click on the following, in the order given:

    • Ports icon

    • Settings... button

  • For Windows 2000/ Windows XP: open the Control Panel and click on the following, in the order given:

    • System icon

    • Hardware tab

    • Device Manager button

    • Ports icon

The settings should be as follows:

Parameter | Setting
Baud Rate (Bits Per Second) | 2400
Data Bits | 8
Parity | None
Stop Bits | 1
Flow Control | Xon/Xoff

Also, use the Advanced... button to make sure that the FIFO Buffer Enabled (Windows NT) or Use FIFO Buffers (Windows 2000/ Windows XP) setting is disabled.


UPS Communications Link

Although the following procedure describes how to use HyperTerminal to check the connection between a smart-signaling UPS and the computer's Windows NT or Windows 2000 operating system, you can use any terminal-emulation program.

  1. Make sure that no other service is using the communications port.

  2. Open the HyperTerminal program, as follows:

    • For Windows NT, go to the HyperTerminal folder (Start> Programs> Accessories> Communications> HyperTerminal) and click the HyperTerminal icon.

    • For Windows 2000/ Windows XP, go to the Communications folder (Start> Programs (All Programs for XP) > Accessories> Communications) and click the HyperTerminal icon.

  3. In the "Connection Description" dialog box, type the name you wish to use to identify the HyperTerminal connection, and click OK.

    Note:
    If the message "...must install a modem" appears, disregard it.

  4. In the "Connect To" dialog box, select the serial port that the UPS uses from the Connect Using field, and click OK.

  5. In the "Port Settings" dialog box, the fields should have the following settings:

    • 2400 baud rate (bits per second)

    • 8 data bits

    • no parity

    • 1 stop bit

    • flow control at Xon/Xoff

  6. When a blank screen appears, type a capital Y. If the screen displays the letters, SM (Smart Mode), there is no problem with the serial communications link; if SM is not displayed, go to step 7.

  7. Type a capital A. If the screen displays OK, and the UPS beeps and flashes its front-panel LEDS (unless the UPS does not have an alarm or front-panel LEDs), the UPS can receive signals, but it cannot send them because of one of the following conditions:

    • The UPS's ability to transmit signals back to your computer is broken. The interface cable is faulty.

    • The computer's serial port cannot receive signals. Possible causes are an interrupt conflict or a malfunctioning serial port.

If the screen does not display SM in Step 6, replace the serial cable. If that does not correct the problem, isolate the problem to the computer or the UPS, by using the above procedure to check the serial connection between the UPS and another computer, or between the same computer and a different UPS.

Note:
If the problem persists, contact APC Global Support (http://www.apc.com/support/) for assistance.


Upgrading Only Works With Same-Node Version

PowerChute has 5-node and 25-node versions. You cannot upgrade a 25-node version with a 5-node version and vice versa. For example, you cannot upgrade the 5-node version 6.1 of PowerChute with the 6.3 25-node version.


Operational Issues

The following sections describe issues that can arise when running PowerChute Business Edition.


Network Communications Issues When a DNS Server Cannot Be Reached

You might experience network communications problems from the PowerChute Business Edition Agent, Server and Console if:

  • your network does not have a DNS server OR

  • your local system has been recently disconnected from the network OR

  • there is a network issue between the local system and the DNS server

It might also happen if you are running a peer-to-peer network or a stand-alone system.

If you are experiencing problems, do the following to have PowerChute use IP addresses instead of attempting to resolve hostnames with the DNS server:

  1. Open the PowerChute Console.

  2. Select Preferences in the View menu.

  3. Select the "Network" tab.

  4. Disable (uncheck) the Resolve Hostnames option.

  5. Click Apply.


Limited Users on Windows XP

The PowerChute Console is not designed for use by the Limited Users mode of operating with Windows XP. Limited Users will not be able to execute the console.exe program.


Uninstalling PowerChute Business Edition

If you uninstall PowerChute from your system, your native Windows UPS Service will be restored, but you must configure it to start automatically.

From the Windows Service dialog box, double-click the Uninterruptible Power Supply service. Set the Startup Type to Automatic if you want the service to start when your system starts. Select Start to start the service immediately.

After removing PowerChute, you might need to remove some files and folders manually. Check for the folder called \program files\APC\PowerChute Business Edition and delete it, including its contents, if it still exists.

If PowerChute is the only APC product installed, you can also delete the APC folder.

The following message might occur when you attempt to uninstall a PowerChute Agent.

Message | Description
Error encountered while removing the Agent service. Please reboot after setup exits. | Setup failed to remove the PowerChute Agent service. The service is either hung up or not installed.


SNMP Service

PowerChute relies on your system's SNMP Agent to send SNMP traps. You have an SNMP option in the PowerChute Console even if your system does not have an SNMP service.

Note:
PowerChute does not support SNMP on Linux.


Windows NT and Broadcasting to IP Addresses

There are two limitations for broadcast messaging in the Windows NT environment:

  • PowerChute cannot send broadcast messages to the IP address of a Windows NT machine.

  • If your PowerChute Server is on a Windows NT machine, PowerChute cannot send broadcast messages to an IP address.

Use DNS names if the sender or recipient is running Windows NT.


UPS Self-Tests Not Always Logged

UPS Self-Test events are not always logged in the PowerChute Event Log.

Self-tests initiated from the front panel of the UPS are never logged. Sometimes, self-tests initiated by PowerChute or by APC accessories are not logged.


Console Does Not Clear Event

When connected to a Back-UPS, the Time On Battery Threshold Exceeded event displays on the PowerChute Console after the event condition has ended.

Check the Event Log for the current status. The event clears from the Console when you stop and then restart PowerChute Agent.


Change Username/Password is Grayed Out

The Change Username/Password option in the Console is grayed out (not available) when monitoring an Agent whose version number is prior to 6.1.0 (e.g. the Solaris 6.0.2 Agent). When the Agent is removed from the Console, this option becomes available again.


Application Data Collection Feature

The first time you use the PowerChute Business Edition Console, you will be asked if you want to enable the program's application data collection feature. You can also use the Data Collection tab in the "Preferences" dialog box to enable or disable it, at any time.

When enabled, PowerChute tracks the program features that you use, like dialog boxes, menus, icons, etc., and periodically transmit this usability data back to APC. This information helps APC understand how you use PowerChute, with the goal of improving future versions of this, and other APC products.

The application data collection feature does not send back any personal information, nor does it send back information about your network, equipment, or other applications that you use.

Note:
Due to the way internet communications work, your IP address is included in the information that APC receives. However, APC does not save that information.


Server Node Limits

Although your PowerChute Business Edition software has either a 5-node or 25-node limit, there is no limit to the number of PowerChute Agents, PowerChute Servers, or PowerChute Consoles that you can install on your network.

The node limit represents the maximum number of PowerChute Agents that can be managed by a single PowerChute Server, only.

You can identify the node limit for a PowerChute Server by using a PowerChute Console to access the "About" box (About option in the Help menu).


Third-Party Software

Portions of this software are Copyright © 1993 - 2001, Chad Z. Hower (Kudzu) and the Indy Pit Crew - http://www.nevrona.com/Indy/

Portions of this software are Copyright © 1997, 1998 by François PIETTE - http://users.swing.be/francois.piette

Portions of this software are Copyright 1989, 1991, 1992 by Carnegie Mellon University
Derivative Work - 1996, 1998-2000 Copyright 1996, 1998-2000 The Regents of the University of California.
All Rights Reserved

Portions of this software are Copyright (c) 2001, NAI Labs. All rights reserved.

Copyright (c) 1998-2001 The OpenSSL Project. All rights reserved.


Copyright (c) 1998-2001 The OpenSSL Project. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  3. All advertising materials mentioning features or use of this software must display the following acknowledgment:

    "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)"

  4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.

  5. Products derived from this software may not be called "OpenSSL" nor may "OpenSSL" appear in their names without prior written permission of the OpenSSL Project.

  6. Redistributions of any form whatsoever must retain the following acknowledgment:

    "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)"

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes cryptographic software written by Eric Young (eay@cryptsoft.com). This product includes software written by Tim Hudson (tjh@cryptsoft.com).

Original SSLeay License -----------------------

/ Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com) All rights reserved.

This package is an SSL implementation written by Eric Young (eay@cryptsoft.com). The implementation was written so as to conform with Netscape's SSL.

This library is free for commercial and non-commercial use as long as the following conditions are adhered to. The following conditions apply to all code found in this distribution, be it the RC4, RSA, lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution is covered by the same copyright terms except that the holder is Tim Hudson (tjh@cryptsoft.com).

Copyright remains Eric Young's, and as such any Copyright notices in the code are not to be removed. If this package is used in a product, Eric Young should be given attribution as the author of the parts of the library used.

This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  3. All advertising materials mentioning features or use of this software must display the following acknowledgement:

    "This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)"

    The word `cryptographic' can be left out if the routines from the library being used are not cryptographic related:-).

  4. If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement:

    "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"

THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The licence and distribution terms for any publicly available version or derivative of this code cannot be changed, i.e., this code cannot simply be copied and put under another distribution licence [including the GNU Public Licence.